Package picard.vcf.processor

# Class VcfFileSegmentGenerator

java.lang.Object
picard.vcf.processor.VcfFileSegmentGenerator

@Deprecated public abstract class VcfFileSegmentGenerator extends Object
Deprecated.
from 2022-03-17, Use `VcfPathSegmentGenerator`
Describes a mechanism for producing `VcfFileSegment`s from a VCF file.

## Constructor Summary

Constructors
Constructor
Description
`VcfFileSegmentGenerator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static VcfFileSegmentGenerator`
`byWholeContigSubdividingWithWidth(long segmentWidth)`
Deprecated.
`static <T> VcfFileSegmentGenerator`
`excludingNonOverlaps(VcfFileSegmentGenerator strategy, htsjdk.samtools.util.OverlapDetector<T> overlaps)`
Deprecated.
Returns a decorated `VcfFileSegmentGenerator` that filters out `VcfFileSegment`s that have no overlap with the provided `OverlapDetector`.
`abstract Iterable<VcfFileSegment>`
`forVcf(File vcf)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VcfFileSegmentGenerator

public VcfFileSegmentGenerator()
Deprecated.

## Method Details

### forVcf

public abstract Iterable<VcfFileSegment> forVcf(File vcf)
Deprecated.

### byWholeContigSubdividingWithWidth

public static VcfFileSegmentGenerator byWholeContigSubdividingWithWidth(long segmentWidth)
Deprecated.

### excludingNonOverlaps

public static <T> VcfFileSegmentGenerator excludingNonOverlaps(VcfFileSegmentGenerator strategy, htsjdk.samtools.util.OverlapDetector<T> overlaps)
Deprecated.
Returns a decorated `VcfFileSegmentGenerator` that filters out `VcfFileSegment`s that have no overlap with the provided `OverlapDetector`.